package com.usky.fire.service.listener;

import lombok.extern.slf4j.Slf4j;
import org.springframework.amqp.rabbit.annotation.RabbitHandler;
import org.springframework.amqp.rabbit.annotation.RabbitListener;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Map;

@Slf4j
@Component
public class RabbitMQListener {

    @RabbitHandler
    @RabbitListener(queues = "Patrol_QEvent")  //监听名称为Patrol_QEvent队列消息
    public void process(Map testMessage){
        System.out.println("DirectReceiver消费者收到消息： " + testMessage.toString());
    }
}
